Get accountant user info
curl --request GET \
--url https://sandbox.hurdlr.com/rest/v5/accountant/userInfo \
--header 'Authorization: Bearer <token>'import requests
url = "https://sandbox.hurdlr.com/rest/v5/accountant/userInfo"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://sandbox.hurdlr.com/rest/v5/accountant/userInfo', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": 123,
"userId": "<string>",
"email": "jane@mycompany.com",
"firstName": "Jane",
"lastName": "Doe",
"canReopenBooks": true,
"canManageAdmins": true,
"canManageUsers": true,
"canAccessAllUsers": true
},
"lastUpdatedDate": "2023-11-07T05:31:56Z",
"cursor": "<string>",
"deletedIds": [
123
]
}Accountant
Get accountant user info
Get user info of the authenticated accountant
GET
/
v5
/
accountant
/
userInfo
Get accountant user info
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Response
200 - application/json
successful operation
Show child attributes
Show child attributes
Date filter - to be used in your subsequent request
Cursor to be used in your subsequent paginated request. Only populated if there are more pages available.
Ids of entities that no longer match the request's filter criteria since the request's lastUpdatedDate
⌘I